## org.hibernate.envers
Class DefaultRevisionEntity_

    java.lang.Object
      org.hibernate.envers.DefaultRevisionEntity_

Direct Known Subclasses:
  DefaultTrackingModifiedEntitiesRevisionEntity_

    public abstract class DefaultRevisionEntity_

extends Object

Field Summary
`static SingularAttribute<DefaultRevisionEntity,Integer>` `id`
`static SingularAttribute<DefaultRevisionEntity,Long>` `timestamp`

Constructor Summary
`DefaultRevisionEntity_()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### timestamp

    public static volatile SingularAttribute<DefaultRevisionEntity,Long> timestamp

### id

    public static volatile SingularAttribute<DefaultRevisionEntity,Integer> id

Constructor Detail

### DefaultRevisionEntity_

    public DefaultRevisionEntity_()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.